Bug 520808 - Review Request: slf4j - Simple Logging Facade for Java
Summary: Review Request: slf4j - Simple Logging Facade for Java
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 486360
TreeView+ depends on / blocked
 
Reported: 2009-09-02 13:57 UTC by Alexander Kurtakov
Modified: 2010-08-10 18:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-04 13:46:29 UTC
overholt: fedora-review+


Attachments (Terms of Use)

Description Alexander Kurtakov 2009-09-02 13:57:42 UTC
Spec URL: http://akurtakov.fedorapeople.org/slf4j.spec
SRPM URL: http://akurtakov.fedorapeople.org/slf4j-1.5.8-2.fc11.src.rpm
Description: The Simple Logging Facade for Java or (SLF4J) is intended to serve
as a simple facade for various logging APIs allowing to the end-user
to plug in the desired implementation at deployment time. SLF4J also
allows for a gradual migration path away from
Jakarta Commons Logging (JCL).

Comment 1 Andrew Overholt 2009-09-02 15:51:25 UTC
- package builds and installs fine on x86
X please make the description for the javadoc package "API documentation for %{name}"
X many of the lines are > 80 characters; please fix
X I think we need some Requires on java and jpackage-utils
- licensing good (some files are missing license headers but I'm willing to accept [1].  we should perhaps press to get these added in git master)
- rpmlint clean (except ignorable maven thing):

$ rpmlint /home/overholt/rpmbuild/SRPMS/slf4j-1.5.8-2.fc11.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /home/overholt/rpmbuild/RPMS/noarch/slf4j-1.5.8-2.fc11.noarch.rpm
slf4j.noarch: W: non-conffile-in-etc /etc/maven/fragments/slf4j
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint /home/overholt/rpmbuild/RPMS/noarch/slf4j-javadoc-1.5.8-2.fc11.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /home/overholt/rpmbuild/RPMS/noarch/slf4j-manual-1.5.8-2.fc11.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

- macros and clean sections present and fine
- sources match upstream (md5sum)
X please move to (-,root,root,-) for the %files %defattrs

[1]
http://marc.info/?l=slf4j-user&m=119773193423413&w=2

Comment 2 Alexander Kurtakov 2009-09-02 19:06:46 UTC
(In reply to comment #1)
> - package builds and installs fine on x86
> X please make the description for the javadoc package "API documentation for
> %{name}"
Done.
> X many of the lines are > 80 characters; please fix
Done wherever possible

> X I think we need some Requires on java and jpackage-utils
Done
> - licensing good (some files are missing license headers but I'm willing to
> accept [1].  we should perhaps press to get these added in git master)
> - rpmlint clean (except ignorable maven thing):
> 
> $ rpmlint /home/overholt/rpmbuild/SRPMS/slf4j-1.5.8-2.fc11.src.rpm
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> $ rpmlint /home/overholt/rpmbuild/RPMS/noarch/slf4j-1.5.8-2.fc11.noarch.rpm
> slf4j.noarch: W: non-conffile-in-etc /etc/maven/fragments/slf4j
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
> $ rpmlint
> /home/overholt/rpmbuild/RPMS/noarch/slf4j-javadoc-1.5.8-2.fc11.noarch.rpm
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> $ rpmlint
> /home/overholt/rpmbuild/RPMS/noarch/slf4j-manual-1.5.8-2.fc11.noarch.rpm
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> - macros and clean sections present and fine
> - sources match upstream (md5sum)
> X please move to (-,root,root,-) for the %files %defattrs
Done
> 
> [1]
> http://marc.info/?l=slf4j-user&m=119773193423413&w=2  

New sources:
Spec URL: http://akurtakov.fedorapeople.org/slf4j.spec
SRPM URL: http://akurtakov.fedorapeople.org/slf4j-1.5.8-2.fc11.src.rpm

Comment 3 Alexander Kurtakov 2009-09-02 19:07:05 UTC
(In reply to comment #1)
> - package builds and installs fine on x86
> X please make the description for the javadoc package "API documentation for
> %{name}"
Done.
> X many of the lines are > 80 characters; please fix
Done wherever possible

> X I think we need some Requires on java and jpackage-utils
Done
> - licensing good (some files are missing license headers but I'm willing to
> accept [1].  we should perhaps press to get these added in git master)
> - rpmlint clean (except ignorable maven thing):
> 
> $ rpmlint /home/overholt/rpmbuild/SRPMS/slf4j-1.5.8-2.fc11.src.rpm
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> $ rpmlint /home/overholt/rpmbuild/RPMS/noarch/slf4j-1.5.8-2.fc11.noarch.rpm
> slf4j.noarch: W: non-conffile-in-etc /etc/maven/fragments/slf4j
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
> $ rpmlint
> /home/overholt/rpmbuild/RPMS/noarch/slf4j-javadoc-1.5.8-2.fc11.noarch.rpm
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> $ rpmlint
> /home/overholt/rpmbuild/RPMS/noarch/slf4j-manual-1.5.8-2.fc11.noarch.rpm
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> - macros and clean sections present and fine
> - sources match upstream (md5sum)
> X please move to (-,root,root,-) for the %files %defattrs
Done
> 
> [1]
> http://marc.info/?l=slf4j-user&m=119773193423413&w=2  

New sources:
Spec URL: http://akurtakov.fedorapeople.org/slf4j.spec
SRPM URL: http://akurtakov.fedorapeople.org/slf4j-1.5.8-3.fc11.src.rpm

Comment 4 Andrew Overholt 2009-09-02 19:16:08 UTC
Thanks.  There are still some lines that could be shortened (104-108, 115-118, 120, 167.  Otherwise, we're good to go.

Comment 5 Alexander Kurtakov 2009-09-02 19:38:59 UTC
(In reply to comment #4)
> Thanks.  There are still some lines that could be shortened (104-108, 115-118,
> 120, 167.  Otherwise, we're good to go. 
Done 
 

New sources:
Spec URL: http://akurtakov.fedorapeople.org/slf4j.spec
SRPM URL: http://akurtakov.fedorapeople.org/slf4j-1.5.8-4.fc11.src.rpm

Comment 6 Andrew Overholt 2009-09-02 19:43:18 UTC
104-112 could still be shortened but now we're just getting silly :)  Fix if you'd like once it's in CVS.

Approved.

Comment 7 Alexander Kurtakov 2009-09-02 20:30:25 UTC
New Package CVS Request
=======================
Package Name: slf4j
Short Description: Simple Logging Facade for Java
Owners: akurtakov
Branches: 
InitialCC:

Comment 8 Dennis Gilmore 2009-09-03 15:11:12 UTC
CVS Done

Comment 9 Alexander Kurtakov 2009-09-04 13:46:29 UTC
Build in rawhide.

Comment 10 Orion Poplawski 2009-10-05 16:36:55 UTC
Any reason not to build this for F-11?

Comment 11 Andrew Overholt 2009-10-05 16:54:41 UTC
(In reply to comment #10)
> Any reason not to build this for F-11?  

It requires maven >= that which is in F-11.  A back-port of all the maven packages and dependencies would be a lot of work.

Comment 12 Dennis Gilmore 2010-08-10 14:44:54 UTC
Package Change Request

======================
Package Name: slf4j
New Branches: el5 el6
Owners: shughes

Comment 13 Kevin Fenzi 2010-08-10 17:54:08 UTC
Have you asked the existing Fedora maintainers if they would like to maintain
this package in EPEL?

Comment 14 Alexander Kurtakov 2010-08-10 18:47:50 UTC
Yes, He asked me and I can't dedicate any time to maintain it in EPEL.


Note You need to log in before you can comment on or make changes to this bug.